MyGUI::MemberObsolete< Gui > Class Reference

`#include <MyGUI_BackwardCompatibility.h>`

Inheritance diagram for MyGUI::MemberObsolete< Gui >:
[legend]

## Public Member Functions

void | destroyWidgetsVector (VectorWidgetPtr &_widgets)
void | hidePointer ()
void | showPointer ()
bool | isShowPointer ()
void | injectFrameEntered (float)
int | getViewWidth () const
int | getViewHeight () const
bool | injectMouseMove (int _absx, int _absy, int _absz)
bool | injectMousePress (int _absx, int _absy, MouseButton _id)
bool | injectMouseRelease (int _absx, int _absy, MouseButton _id)
bool | injectKeyPress (KeyCode _key, Char _text=0)
bool | injectKeyRelease (KeyCode _key)
void | setVisiblePointer (bool _value)
bool | isVisiblePointer ()
bool | load (const std::string &_file)
const IntSize & | getViewSize () const
void | _injectFrameEntered (float _time)
void | _resizeWindow (const IntSize &_size)

## Detailed Description

Definition at line 425 of file MyGUI_BackwardCompatibility.h.

## Member Function Documentation

## _injectFrameEntered()

void MyGUI::MemberObsolete< Gui >::_injectFrameEntered | ( | float | _time | ) |

Deprecated
  " is deprecated, use : RenderManager::onFrameEvent(float _time)"

Definition at line 846 of file MyGUI_BackwardCompatibility.cpp.

## _resizeWindow()

void MyGUI::MemberObsolete< Gui >::_resizeWindow | ( | const IntSize & | _size | ) |

Deprecated
  " is deprecated, use : RenderManager::onResizeView(const IntSize& _size)"

Definition at line 851 of file MyGUI_BackwardCompatibility.cpp.

## destroyWidgetsVector()

void MyGUI::MemberObsolete< Gui >::destroyWidgetsVector | ( | VectorWidgetPtr & | _widgets | ) |

Deprecated
  " is deprecated, use : void Gui::destroyWidgets(VectorWidgetPtr &_widgets)"

Definition at line 780 of file MyGUI_BackwardCompatibility.cpp.

## getViewHeight()

int MyGUI::MemberObsolete< Gui >::getViewHeight | ( |  | ) | const

Deprecated
  " is deprecated, use : void Gui::getViewSize().height"

Definition at line 832 of file MyGUI_BackwardCompatibility.cpp.

## getViewSize()

const IntSize & MyGUI::MemberObsolete< Gui >::getViewSize | ( |  | ) | const

Deprecated
  " is deprecated, use : const IntSize& RenderManager::getViewSize() const"

Definition at line 824 of file MyGUI_BackwardCompatibility.cpp.

## getViewWidth()

int MyGUI::MemberObsolete< Gui >::getViewWidth | ( |  | ) | const

Deprecated
  " is deprecated, use : void Gui::getViewSize().width"

Definition at line 828 of file MyGUI_BackwardCompatibility.cpp.

## hidePointer()

void MyGUI::MemberObsolete< Gui >::hidePointer | ( |  | ) |

Deprecated
  " is deprecated, use : void Gui::setVisiblePointer(bool _value)"

Definition at line 806 of file MyGUI_BackwardCompatibility.cpp.

## injectFrameEntered()

void MyGUI::MemberObsolete< Gui >::injectFrameEntered | ( | float |  | ) |

inline

Deprecated
  "called be renderer, do not call it manually"

Definition at line 438 of file MyGUI_BackwardCompatibility.h.

## injectKeyPress()

bool MyGUI::MemberObsolete< Gui >::injectKeyPress | ( | KeyCode | _key,
|  | Char | _text = 0 )

Deprecated
  " is deprecated, use : bool InputManager::injectKeyPress(KeyCode _key, Char _text = 0)"

Definition at line 797 of file MyGUI_BackwardCompatibility.cpp.

## injectKeyRelease()

bool MyGUI::MemberObsolete< Gui >::injectKeyRelease | ( | KeyCode | _key | ) |

Deprecated
  " is deprecated, use : bool InputManager::injectKeyRelease(KeyCode _key)"

Definition at line 801 of file MyGUI_BackwardCompatibility.cpp.

## injectMouseMove()

bool MyGUI::MemberObsolete< Gui >::injectMouseMove | ( | int | _absx,
|  | int | _absy,
|  | int | _absz )

Deprecated
  " is deprecated, use : bool InputManager::injectMouseMove(int _absx, int _absy, int _absz)"

Definition at line 785 of file MyGUI_BackwardCompatibility.cpp.

## injectMousePress()

bool MyGUI::MemberObsolete< Gui >::injectMousePress | ( | int | _absx,
|  | int | _absy,
|  | MouseButton | _id )

Deprecated
  " is deprecated, use : bool InputManager::injectMousePress(int _absx, int _absy, MouseButton _id)"

Definition at line 789 of file MyGUI_BackwardCompatibility.cpp.

## injectMouseRelease()

bool MyGUI::MemberObsolete< Gui >::injectMouseRelease | ( | int | _absx,
|  | int | _absy,
|  | MouseButton | _id )

Deprecated
  " is deprecated, use : bool InputManager::injectMouseRelease(int _absx, int _absy, MouseButton _id)"

Definition at line 793 of file MyGUI_BackwardCompatibility.cpp.

## isShowPointer()

bool MyGUI::MemberObsolete< Gui >::isShowPointer | ( |  | ) |

Deprecated
  " is deprecated, use : bool Gui::isVisiblePointer()"

Definition at line 814 of file MyGUI_BackwardCompatibility.cpp.

## isVisiblePointer()

bool MyGUI::MemberObsolete< Gui >::isVisiblePointer | ( |  | ) |

Deprecated
  " is deprecated, use : bool PointerManager::isVisible()"

Definition at line 841 of file MyGUI_BackwardCompatibility.cpp.

## load()

bool MyGUI::MemberObsolete< Gui >::load | ( | const std::string & | _file | ) |

Deprecated
  " is deprecated, use : bool ResourceManager::load(const std::string& _file)"

Definition at line 819 of file MyGUI_BackwardCompatibility.cpp.

## setVisiblePointer()

void MyGUI::MemberObsolete< Gui >::setVisiblePointer | ( | bool | _value | ) |

Deprecated
  " is deprecated, use : void PointerManager::setVisible(_value)"

Definition at line 837 of file MyGUI_BackwardCompatibility.cpp.

## showPointer()

void MyGUI::MemberObsolete< Gui >::showPointer | ( |  | ) |

Deprecated
  " is deprecated, use : void Gui::setVisiblePointer(bool _value)"

Definition at line 810 of file MyGUI_BackwardCompatibility.cpp.

The documentation for this class was generated from the following files:

- MyGUI_BackwardCompatibility.h
- MyGUI_BackwardCompatibility.cpp